package ch.zhaw.ads;

import java.util.Scanner;

public class RouteServer implements CommandExecutor {

    @Override
    public String execute(String command) {
        Graph<DijkstraNode, Edge> graph = this.readInput(command);
        StringBuffer result = new StringBuffer(100);
        for (Node node : graph.getNodes()) {
            result.append(node.getName() + "\n");
        }
        result.append("\"\n");
        return result.toString();
    }

    private Graph<DijkstraNode, Edge> readInput(String input) {
        int dist;
        String line, src, dest;
        String[] values;

        Scanner scanner = new Scanner(input);
        Graph<DijkstraNode, Edge> graph = new AdjListGraph<DijkstraNode, Edge>(DijkstraNode.class, Edge.class);
        while (scanner.hasNextLine()) {
            line = scanner.nextLine();

            try {
                values = line.split(" ");
                graph.addEdge(values[0], values[1], Integer.valueOf(values[2]));
                graph.addEdge(values[1], values[0], Integer.valueOf(values[2]));
            } catch (Throwable e) {
                System.err.println("Error.");
                continue;
            }
        }
        scanner.close();
        return graph;
    }
}
